%if !%{defined perl_bootstrap}
# Run optional tests.
# Disabled because perl-Geo-Point was retired (bug #1748923).
# Build-cycle: perl-GIS-Distance → perl-Geo-Point → perl-Geo-Distance
%bcond_with perl_GIS_Distance_enables_optional_test
# Use optimized implementation in C
# Build-cycle: perl-GIS-Distance-XS → perl-GIS-Distance
%bcond_without perl_GIS_Distance_enables_xs
%endif

Name:           perl-GIS-Distance
Version:        0.19
Release:        1%{?dist}
Summary:        Calculate geographic distances
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/GIS-Distance
Source0:        https://cpan.metacpan.org/authors/id/B/BL/BLUEFEET/GIS-Distance-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Measure::Length)
BuildRequires:  perl(Const::Fast) >= 0.014
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Math::Trig)
BuildRequires:  perl(namespace::clean) >= 0.24
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strictures) >= 2
%if %{with perl_GIS_Distance_enables_xs}
# Optional run-time:
BuildRequires:  perl(GIS::Distance::Fast) >= 0.13
%endif
# Tests:
BuildRequires:  perl(Test2::Require::Module)
BuildRequires:  perl(Test2::V0) >= 0.000094
%if %{with perl_GIS_Distance_enables_optional_test}
# Optional tests:
BuildRequires:  perl(Geo::Point) >= 0.95
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Const::Fast) >= 0.014
%if %{with perl_GIS_Distance_enables_xs}
Recommends:     perl(GIS::Distance::Fast) >= 0.13
%endif
Requires:       perl(namespace::clean) >= 0.24

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Const::Fast|namespace::clean)\\)$

%description
This Perl module calculates distances between geographic points on, at the
moment, planet Earth. Various "FORMULAS" are available that provide different
levels of accuracy versus speed.

%prep
%setup -q -n GIS-Distance-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}

%check
unset GEO_DISTANCE_PP GIS_DISTANCE_PP
./Build test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Feb 01 2021 Petr Pisar <ppisar@redhat.com> - 0.19-1
- 1.19 bump
- A license changed from "GPLv3+" to "GPL+ or Artistic"

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.18-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.18-8
- Perl 5.32 re-rebuild of bootstrapped packages

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.18-7
- Perl 5.32 rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Sep 20 2019 Petr Pisar <ppisar@redhat.com> - 0.18-5
- Disable optional tests because perl-Geo-Point will be retired (bug #1748923)

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 02 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.18-3
- Perl 5.30 re-rebuild of bootstrapped packages

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.18-2
- Perl 5.30 rebuild

* Mon May 13 2019 Petr Pisar <ppisar@redhat.com> - 0.18-1
- 0.18 bump
- License changed from "GPL+ or Artistic" to "GPLv3+"

* Mon Mar 18 2019 Petr Pisar <ppisar@redhat.com> - 0.17-2
- Finish bootstrapping perl-GIS-Distance-Fast-0.14

* Mon Mar 18 2019 Petr Pisar <ppisar@redhat.com> - 0.17-1
- 0.17 bump

* Wed Mar 13 2019 Petr Pisar <ppisar@redhat.com> - 0.15-1
- 0.15 bump

* Mon Mar 11 2019 Petr Pisar <ppisar@redhat.com> - 0.11-2
- Finish boostrapping with perl-GIS-Distance-XS

* Fri Mar 08 2019 Petr Pisar <ppisar@redhat.com> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
